### Hierarchy

- LayoutVertex
  - CircularVertex

This holds CircularLayout-specific information about Nodes.

This class inherits from LayoutVertex.

## Index

### Constructors

- constructor

### Properties

- actualAngle
- diameter

## Constructors

### constructor

- new CircularVertex(network: CircularNetwork): CircularVertex

- #### Parameters

  - ##### network: CircularNetwork

  #### Returns CircularVertex

## Properties

### actualAngle : number

- Gets or sets the value used as the vertex's angle.

### diameter : number

- Gets or sets the value used as the vertex's diameter.

  By default the value depends on the CircularLayout.arrangement property. Any computed value is cached, to avoid unnecessary expensive computations.

Copyright © 1998-2020 by Northwoods Software Corporation.